package com.lz.modules.flow.req;
import com.lz.modules.flow.model.FlowChartDetailRecordSimpleDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* <p>
* </p>*考核模板流程记录表
* @author quyixiao
* @since 2020-10-19
*/

@Data
@ApiModel(value = "考核模板流程记录表ListReq")
public class FlowChartDetailRecordListReq {
    //
    @ApiModelProperty(value = "结点id，必传", name = "id")
    private Long id;
    //考核组ID
    @ApiModelProperty(value = "考核组ID", name = "evaluationGroupId")
    private Long evaluationGroupId;
    //0关闭，1开启
    @ApiModelProperty(value = "0关闭，1开启", name = "status")
    private Integer status;

    @ApiModelProperty(value = "小结点列表", name = "recordSimpleDtos")
    private List<FlowChartDetailRecordSimpleReq> recordSimpleDtos;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 考核组ID 
     * @return
     */
    public Long getEvaluationGroupId() {
        return evaluationGroupId;
    }
    /**
     * 考核组ID 
     * @param evaluationGroupId
     */
    public void setEvaluationGroupId(Long evaluationGroupId) {
        this.evaluationGroupId = evaluationGroupId;
    }

    /**
     * 0关闭，1开启 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 0关闭，1开启 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }




    @Override
    public String toString() {
        return "FlowChartDetailRecordDto{" +
                ",id=" + id +
                ",evaluationGroupId=" + evaluationGroupId +
                ",status=" + status +
                "}";
    }
}